"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

// @ts-expect-error
const isTurboModuleEnabled = global.__turboModuleProxy != null;
const ImageResizer = isTurboModuleEnabled ? require('./NativeImageResizer').default : _reactNative.NativeModules.ImageResizer;
const defaultOptions = {
  mode: 'contain',
  onlyScaleDown: false
};

function createResizedImage(uri, width, height, format, quality) {
  let rotation = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : 0;
  let outputPath = arguments.length > 6 ? arguments[6] : undefined;
  let keepMeta = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : false;
  let options = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : defaultOptions;
  const {
    mode,
    onlyScaleDown
  } = { ...defaultOptions,
    ...options
  };
  return ImageResizer.createResizedImage(uri, width, height, format, quality, mode, onlyScaleDown, rotation, outputPath, keepMeta);
}

var _default = {
  createResizedImage
};
exports.default = _default;
//# sourceMappingURL=index.js.map