import type { ReactTestInstance } from 'react-test-renderer';
import { AccessibilityState } from 'react-native';
import type { FindAllByQuery, FindByQuery, GetAllByQuery, GetByQuery, QueryAllByQuery, QueryByQuery } from './makeQueries';
import { CommonQueryOptions } from './options';
export type ByA11yStateQueries = {
    getByA11yState: GetByQuery<AccessibilityState, CommonQueryOptions>;
    getAllByA11yState: GetAllByQuery<AccessibilityState, CommonQueryOptions>;
    queryByA11yState: QueryByQuery<AccessibilityState, CommonQueryOptions>;
    queryAllByA11yState: QueryAllByQuery<AccessibilityState, CommonQueryOptions>;
    findByA11yState: FindByQuery<AccessibilityState, CommonQueryOptions>;
    findAllByA11yState: FindAllByQuery<AccessibilityState, CommonQueryOptions>;
    getByAccessibilityState: GetByQuery<AccessibilityState, CommonQueryOptions>;
    getAllByAccessibilityState: GetAllByQuery<AccessibilityState, CommonQueryOptions>;
    queryByAccessibilityState: QueryByQuery<AccessibilityState, CommonQueryOptions>;
    queryAllByAccessibilityState: QueryAllByQuery<AccessibilityState, CommonQueryOptions>;
    findByAccessibilityState: FindByQuery<AccessibilityState, CommonQueryOptions>;
    findAllByAccessibilityState: FindAllByQuery<AccessibilityState, CommonQueryOptions>;
};
export declare const bindByA11yStateQueries: (instance: ReactTestInstance) => ByA11yStateQueries;
